package com.yyrh.advertisement;

import android.app.Activity;

import com.yyrh.constant.RoleInfo;

import org.json.JSONObject;

import java.util.HashMap;

public interface AdSdkCallback {
     void onRegisterSuccess(String msg);
     void onLoginSuccess(String msg);
     void onPaySuccess(HashMap<String, Object> map);
     void onCreateOrder(HashMap<String, Object> map);
     void onUpLoadRoleInfo(String type, RoleInfo roleInfo);
     void onResume(Activity activity);
     void onPause(Activity activity);
     void onDestory(Activity activity);
     void onRequestPermissionsResult(int requestCode,String[] permissions,int[] grantResults);
     void onExitGame(Activity activity);
     void onReportAdEvent(String event, JSONObject json);
}
